View Issue Details

IDProjectCategoryView StatusLast Update
0002361Industrial-Craft²general / otherpublic2018-04-14 17:26
Reporternopun75Assigned ToChocohead 
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionno change required 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.12.x 
Summary0002361: Crash on startup during Mod Initialization - Phase 2 stage
DescriptionAs the summary says it crashes on startup, IC2 is the only mod I have installed

The initial exception seems to be:
net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (ic2)
Caused by: ic2.core.util.Config$ParseException: generic parse error at line 99 (Fluid:water = minecraft:snow)

I've installed IC2 through the Twitch client and I'm using the Java launcher.
Java is version 1.8.0_161
IC2 version 2.8.75ex112
Forge version 14.23.3.2657
TagsNo tags attached.
Minecraft Version1.12.2

Relationships

has duplicate 0002362 resolvedChocohead IC2 Loading Crash 

Activities

nopun75

2018-04-12 03:26

reporter  

crash-2018-04-11_21.16.50-client.txt (6,585 bytes)
---- Minecraft Crash Report ----
// This doesn't make any sense!

Time: 4/11/18 9:16 PM
Description: There was a severe problem during mod loading that has caused the game to fail

net.minecraftforge.fml.common.LoaderExceptionModCrash: Caught exception from IndustrialCraft 2 (ic2)
Caused by: ic2.core.util.Config$ParseException: generic parse error at line 99 (Fluid:water = minecraft:snow).
	at ic2.core.init.Rezepte.loadMachineRecipe(Rezepte.java:561)
	at ic2.core.init.Rezepte.loadMachineRecipes(Rezepte.java:473)
	at ic2.core.init.Rezepte.loadRecipes(Rezepte.java:121)
	at ic2.core.init.Rezepte.registerRecipes(Rezepte.java:740)
	at ic2.core.IC2.init(IC2.java:314)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraftforge.fml.common.FMLModContainer.handleModStateEvent(FMLModContainer.java:600)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:278)
	at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:256)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at com.google.common.eventbus.Subscriber.invokeSubscriberMethod(Subscriber.java:91)
	at com.google.common.eventbus.Subscriber$SynchronizedSubscriber.invokeSubscriberMethod(Subscriber.java:150)
	at com.google.common.eventbus.Subscriber$1.run(Subscriber.java:76)
	at com.google.common.util.concurrent.MoreExecutors$DirectExecutor.execute(MoreExecutors.java:399)
	at com.google.common.eventbus.Subscriber.dispatchEvent(Subscriber.java:71)
	at com.google.common.eventbus.Dispatcher$PerThreadQueuedDispatcher.dispatch(Dispatcher.java:116)
	at com.google.common.eventbus.EventBus.post(EventBus.java:217)
	at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:148)
	at net.minecraftforge.fml.common.Loader.initializeMods(Loader.java:751)
	at net.minecraftforge.fml.client.FMLClientHandler.finishMinecraftLoading(FMLClientHandler.java:352)
	at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:534)
	at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:377)
	at net.minecraft.client.main.Main.main(SourceFile:123)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
	at java.lang.reflect.Method.invoke(Unknown Source)
	at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
	at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
Caused by: java.lang.NullPointerException
	at net.minecraftforge.fluids.capability.wrappers.FluidBucketWrapper.getCapability(FluidBucketWrapper.java:192)
	at net.minecraftforge.common.capabilities.CapabilityDispatcher.getCapability(CapabilityDispatcher.java:108)
	at net.minecraft.item.ItemStack.getCapability(ItemStack.java:1169)
	at net.minecraftforge.fluids.FluidUtil.getFluidHandler(FluidUtil.java:489)
	at ic2.core.recipe.RecipeInputFluidContainer.getFluidContainer(RecipeInputFluidContainer.java:78)
	at ic2.core.recipe.RecipeInputFluidContainer.getInputs(RecipeInputFluidContainer.java:54)
	at ic2.core.recipe.BasicMachineRecipeManager.addRecipe(BasicMachineRecipeManager.java:60)
	at ic2.core.recipe.BasicMachineRecipeManager.addRecipe(BasicMachineRecipeManager.java:22)
	at ic2.core.init.Rezepte.loadMachineRecipe(Rezepte.java:553)
	... 45 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
	Minecraft Version: 1.12.2
	Operating System: Windows 10 (amd64) version 10.0
	Java Version: 1.8.0_161, Oracle Corporation
	Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
	Memory: 1044214808 bytes (995 MB) / 1552941056 bytes (1481 MB) up to 8589934592 bytes (8192 MB)
	JVM Flags: 4 total; -Xmx9216m -Xms256m -XX:PermSize=256m -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump
	IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
	FML: MCP 9.42 Powered by Forge 14.23.3.2657 5 mods loaded, 5 mods active
	States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored

	| State | ID        | Version      | Source                             | Signature                                |
	|:----- |:--------- |:------------ |:---------------------------------- |:---------------------------------------- |
	| UCHI  | minecraft | 1.12.2       | minecraft.jar                      | None                                     |
	| UCHI  | mcp       | 9.42         | minecraft.jar                      | None                                     |
	| UCHI  | FML       | 8.0.99.99    | forge-1.12.2-14.23.3.2657.jar      | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHI  | forge     | 14.23.3.2657 | forge-1.12.2-14.23.3.2657.jar      | e3c3d50c7c986df74c645c0ac54639741c90a557 |
	| UCHE  | ic2       | 2.8.75-ex112 | industrialcraft-2-2.8.75-ex112.jar | de041f9f6187debbc77034a344134053277aa3b0 |

	Loaded coremods (and transformers): 
	GL info: ' Vendor: 'NVIDIA Corporation' Version: '4.6.0 NVIDIA 391.35' Renderer: 'GeForce GTX 980 Ti/PCIe/SSE2'

nopun75

2018-04-12 03:46

reporter   ~0005644

Just a quick update, looks like it might be an issue with that version of forge, I dropped back to Forge version 14.23.3.2656 and that loads just fine.

nopun75

2018-04-12 04:09

reporter   ~0005645

typo, that should be Forge version 14.23.3.2654

Chocohead

2018-04-12 12:28

developer   ~0005646

Yeah, that's a bugged version of Forge that doesn't inject capabilities properly. The past couple have been very unstable after the modloading code was rewritten.

nopun75

2018-04-13 05:46

reporter   ~0005647

That would explain why a bunch of mods I've tried aren't working with that version.

Thanks for the heads up.

Issue History

Date Modified Username Field Change
2018-04-12 03:26 nopun75 New Issue
2018-04-12 03:26 nopun75 File Added: crash-2018-04-11_21.16.50-client.txt
2018-04-12 03:46 nopun75 Note Added: 0005644
2018-04-12 04:09 nopun75 Note Added: 0005645
2018-04-12 12:28 Chocohead Assigned To => Chocohead
2018-04-12 12:28 Chocohead Status new => resolved
2018-04-12 12:28 Chocohead Resolution open => no change required
2018-04-12 12:28 Chocohead Fixed in Version => Builds for MC 1.12.x
2018-04-12 12:28 Chocohead Note Added: 0005646
2018-04-13 05:46 nopun75 Note Added: 0005647
2018-04-14 17:26 Chocohead Relationship added has duplicate 0002362